﻿@{
    ViewBag.NomePagina = "Cadastro Doc. Conciliacao";
}

@Html.Partial("~/Views/Paginas/CadastroDocConciliacao/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Parâmetros  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Cadastro Doc. Conciliação
    </span>
</div>

<div id="dvAtvDsvContent" class="custom-drop" style="display: none;">
    <button class="btn btn-outline-dark custom-drop-item" id="btnAtivar">
        <i class="fa fa-check">&nbsp;</i> Ativar
    </button>
    <button class="btn btn-outline-dark custom-drop-item" id="btnDesativar">
        <i class="fa fa-times">&nbsp;</i> Desativar
    </button>
</div>

<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        @*@Html.Partial("~/Views/Partials/Select2ServicosCodigos.cshtml", new Select2ServicosViewModel() { idControleSelect2 = "selSvc", idControleInput = "TxtSvc", tipoPesquisa = true, ativo = false, multiplo = false })*@
        @Html.Partial("~/Views/Partials/Select2DocConciliacao.cshtml", new Select2DocConciliacaoViewModel() { idControleSelect2 = "selDescDocConc", idControleInput = "TxtDescDocConc", tipoPesquisa = true, ativo = false, multiplo = false })
        <i class="material-icons">more_vert</i>
        <select id="ddlTipSvcFil" class="form-control">
            <option value="0" selected="selected">Selecione tipo</option>
            <option value="1">DOC. BANDEIRA</option>
            <option value="2">DOC. BANCÁRIA</option>
        </select>
        <i class="material-icons">more_vert</i>
        <select id="ddlStatus" class="form-control">
            <option value="0">Selecione status</option>
            <option value="1" selected="selected">ATIVO</option>
            <option value="2">DESATIVO</option>
        </select>
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>

    <div class="dataTables_consulta">
        <div id="grdCadastroDocConciliacaoContainer"></div>
    </div>
</div>

<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Cadastro Documento</strong>
            </div>
            <div class="col-md-6 tgv-crud-log-text divShowHide">
                <strong class="strong-cabecalho-codigo-tgv">Código:</strong> <span><input type="text" id="txtCodDocConcTgv" class="input-span-title" value="" /></span>
                <span class="tgv-mer-log">
                    <i class="fa fa-file-text-o" aria-hidden="true" id="btnLogInfo"></i>
                </span>
                <div class="tgv-mer-log-container" id="logInfoContainer">
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title-border">Registro</strong>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Cadastro:</strong> <span><input type="text" id="txtDatFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Alteração:</strong> <span><input type="text" id="txtDatFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Desativação:</strong> <span><input type="text" id="txtDatFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Descrição:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input limparTooltipKeyDown" id="txtDesDocConcTgv" name="txtDesDocConcTgv" type="text" maxlength="70">
                            <label class="mdl-textfield__label" for="txtDesDocConcTgv"></label>
                        </div>
                    </div>
                </div>
                <div class="col-md-2">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Tipo Documento:</strong>
                    </label>
                    <div class="tgv-select-material">
                        <select id="ddlTipDocConc" class="form-control limparTooltipChange">
                            <option selected="selected" value="0">Selecione</option>
                            <option value="1">DOC. BANDEIRA</option>
                            <option value="2">DOC. BANCÁRIA</option>
                        </select>
                    </div>
                </div>
                <div id="divStatus" class="col-md-2" >
                    <div class="strong-min-tgv">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Enviar Conciliação?</strong>
                        </label>
                        <div id="divStatusInterna" class="col-md-12 col-divstatus-grpeco limparTooltipChange">
                            <div class="col-md-5">
                                <label id="lbl_sim" class="mdl-radio mdl-js-radio mdl-js-ripple-effect" for="rbSim">
                                    <input type="radio" id="rbSim" class="mdl-radio__button" name="rbStatus" value="1">
                                    <span class="mdl-radio__label">Sim</span>
                                </label>
                            </div>
                            <div class="col-md-5">
                                <label id="lbl_nao" class="mdl-radio mdl-js-radio mdl-js-ripple-effect" for="rbNao">
                                    <input type="radio" id="rbNao" class="mdl-radio__button" name="rbStatus" value="0">
                                    <span class="mdl-radio__label">Não</span>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div>
                    <label for="input-text-1">
                        <strong class="strong-min-tgv" style="padding-left:15px">Arquivo de Contrato:</strong>
                    </label>
                    <div class="col-lg-4">
                        <input type="file" id="FileUpload" data-required="0" name="FileUpload" class="btn btn-success" style="visibility:visible;" accept=".docx" />
                    </div>
                </div>
                <div style="width:400px;">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Contrato:</strong>
                    </label>
                    <div class="mdl-textfield mdl-js-textfield">
                        <input type="text" maxlength="50" class="mdl-textfield__input" readonly id="txtdowncontrato" name="txtdowncontrato">
                        <label class="mdl-textfield__label" for="txtdowncontrato"></label>
                    </div>
                </div>
                <div style="margin-top: 30px; padding-left:10px;">
                    <a id="download" class="btn btn-info" style="color:#fff;">
                        <i class="fa fa-cloud-download" aria-hidden="true">&nbsp;</i>
                        Download
                    </a>
                </div>
            </div>
        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnInserirCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-floppy-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnEditarCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-pencil-square-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnFecharCadastro" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>

    </form>
</div>

@Html.Partial("~/Views/Paginas/CadastroDocConciliacao/Partials/_IndexScript.cshtml")